#
#   - Crypt::RSA -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       --spec-only Crypt::RSA
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Crypt-RSA
%define m_distro Crypt-RSA
%define m_name Crypt::RSA
%define m_author_id unknown
%define _enable_test 1

Name: perl-Crypt-RSA
Version: 1.56
Release: alt1

Summary: Crypt-RSA - RSA public-key cryptosystem

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: %m_distro-%version.tar.gz

# Automatically added by buildreq on Sat Aug 27 2005
BuildRequires: perl-Class-Loader perl-Compress-Zlib perl-Convert-ASCII-Armour perl-Crypt-Blowfish perl-Crypt-CBC perl-Crypt-Primes perl-Crypt-Random perl-Data-Buffer perl-Digest-MD2 perl-Digest-SHA1 perl-Math-Pari perl-Sort-Versions perl-Tie-EncryptedHash perl-devel

%description
Crypt::RSA is a pure-perl, cleanroom implementation of the RSA public-key
cryptosystem. It uses Math::Pari(3), a perl interface to the blazingly
fast PARI library, for big integer arithmetic and number theoretic
computations.

Crypt::RSA provides arbitrary size key-pair generation, plaintext-aware
encryption (OAEP) and digital signatures with appendix (PSS). For
compatibility with SSLv3, RSAREF2, PGP and other applications that follow
the PKCS #1 v1.5 standard, it also provides PKCS #1 v1.5 encryption and
signatures.

Crypt::RSA is structured as bundle of modules that encapsulate different
parts of the RSA cryptosystem. The RSA algorithm is implemented in
Crypt::RSA::Primitives(3). Encryption schemes, located under
Crypt::RSA::ES, and signature schemes, located under Crypt::RSA::SS, use
the RSA algorithm to build encryption/signature schemes that employ secure
padding. (See the note on Security of Padding Schemes.)

The key generation engine and other functions that work on both components
of the key-pair are encapsulated in Crypt::RSA::Key(3).
Crypt::RSA::Key::Public(3) & Crypt::RSA::Key::Private(3) provide
mechanisms for storage & retrival of keys from disk, decoding & encoding
of keys in certain formats, and secure representation of keys in memory.
Finally, the Crypt::RSA module provides a convenient, DWIM wrapper around
the rest of the modules in the bundle.

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%changelog
* Sat Aug 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.56-alt1
- first build for ALT Linux Sisyphus
